<?php
//ALTER TABLE `users` ADD `iconka` VARCHAR(255) NULL ;
/*
#Бесплатный WAP движок StrongCMS
#Официальный сайт поддержки: http://strongcms.ru 
*/

# Заголовок>Функции>Шапка
$title = 'Иконка возле ника';
require_once ('system/function.php');
require_once ('system/header.php');
if(!isset($user['id'])) {
echo err($title, '
Уважаемый посетитель, Вы зашли на сайт как незарегистрированный пользователь.<br/>
Мы рекомендуем Вам зарегистрироваться либо войти на сайт под своим именем.
');
require_once ('../system/footer.php'); exit;
}
$act = isset($_GET['act']) ? $_GET['act'] : null;
switch($act)
{
default:
    if (isset($user) & $user['money']<=10 and $user['rang'] < 3){
		echo '<div class="podmenu"><font color="red"><b>У вас недостаточно средств</b></font></div>';
		require_once ('system/footer.php');
		exit();
	}
if(isset($_REQUEST['submit'])) {
	$size = $_FILES['filename']['size']; // Вес файла
	/* Если не выбрали файл */
	if(!@file_exists($_FILES['filename']['tmp_name'])) {
		echo '<div class="podmenu"><center><b><big>Вы не выбрали файл!</big></b></center></div>';
		require_once ('system/footer.php');
		exit();
	}
	/* Максимальный размер 20 кб */
	if($size > 163840) {
		echo '<div class="podmenu"><center><b><big>Максимальный размер файла 20 кб!</big></b></center></div>';
		require_once ('system/footer.php');
		exit();
	}
	/* Тип файлов которые можно загружать */
	$filetype = array ( 'jpg', 'gif', 'png', 'jpeg', 'ico' ); 
	$upfiletype = substr($_FILES['filename']['name'],  strrpos( $_FILES['filename']['name'], ".")+1); 
  
	/* Если тип файла не подходит */
	if(!in_array($upfiletype,$filetype)) {
		echo '<div class="podmenu"><center><b><big>Такой формат запрещено загружать!</big></b></center></div>';
		require_once ('system/footer.php');
		exit();
	}
	/*Если у юзера не хватает денег*/
    if (isset($user) & $user['money']<=10 and $user['rang'] < 3){
		echo '<div class="podmenu"><font color="red"><b>У вас недостаточно средств</b></font></div>';
		require_once ('system/footer.php');
		exit();
	}
	/* Если все окей,заливаем файл в папу и делаем запрос */
	$files = $_SERVER['HTTP_HOST'].'_'.rand(1234,5678).'_'.rand(1234,5678).'_'.$_FILES['filename']['name']; 
	/* Заливаем */
	move_uploaded_file($_FILES['filename']['tmp_name'], "files/iconka/".$files.""); 
	if($user['rang'] > 2){
	mysql_query("UPDATE `users` SET `iconka`='".$files."' WHERE `id`='".$user['id']."'");	
    }
	elseif($user['rang'] < 3){
	mysql_query("UPDATE `users` SET `iconka`='".$files."', `money` = '".($user['money']-10)."' WHERE `id`='".$user['id']."'");
	}
	
	echo '<div class="podmenu"><font color="green"><b>Иконка возле ника успешно изменена!</b></font></div>';
}
echo '<div class="podmenu">Иконка возле ника будет отбражаться всегда, когда вы находитесь на сайте!<br/>Стоимость - 10 рублей. Размер обязетельно должен быть 16х16</div><div class="podmenu"><form method="post" enctype="multipart/form-data" name="message">
Выберите файл:<br /><input type="file" name="filename"><br />
<input type="submit" name="submit" value="Загрузить">
</form></div>';
break;
}

##Подключаем низ
require_once ('system/footer.php');
?>